Module java.desktop
Package java.beans.beancontext

# Interface BeanContextChildComponentProxy

public interface BeanContextChildComponentProxy

This interface is implemented by `BeanContextChildren` that have an AWT `Component` associated with them.

Since:
  1.2
See Also:
  `BeanContext`, `BeanContextSupport`

## Method Summary

Modifier and Type
Method
Description
`Component`
`getComponent()`
Gets the `java.awt.Component` associated with this `BeanContextChild`.

## Method Details

### getComponent

Component getComponent()
Gets the `java.awt.Component` associated with this `BeanContextChild`.

Returns:
  the AWT `Component` associated with this `BeanContextChild`